Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

MARIDB & MYSQL & HDP2.5

Solved Go to solution

MARIDB & MYSQL & HDP2.5

Super Collaborator

Hi:

I have problem with the mysql rpm y maria, i dont want to use mariadb, but the ambari say that:resource_management.core.exceptions.Fail: Execution of '/usr/bin/yum -d 0 -e 0 -y install hadoop_2_5_0_0_1245-yarn' returned 1. Removing mariadb-libs.x86_64 1:5.5.50-1.el7_2 - u due to obsoletes from installed mysql-community-libs-5.7.15-1.el7.x86_64Error: Package: 2:postfix-2.10.1-6.el7.x86_64 (c7-media) Requires: libmysqlclient.so.18()(64bit) Available: 1:mariadb-libs-5.5.50-1.el7_2.x86_64 (c7-media) libmysqlclient.so.18()(64bit)Error: Package: 2:postfix-2.10.1-6.el7.x86_64 (c7-media) Requires: libmysqlclient.so.18(libmysqlclient_18)(64bit) Available: 1:mariadb-libs-5.5.50-1.el7_2.x86_64 (c7-media) libmysqlclient.so.18(libmysqlclient_18)(64bit) You could try using --skip-broken to work around the problem You could try running: rpm -Va --nofiles --nodigest

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted

Re: MARIDB & MYSQL & HDP2.5

Super Collaborator

Hi:

After rename the repo files like its works now:

ls -lrt /etc/yum.repos.d/
-rw-r--r--  1 root root  409 oct 13 23:01 ambari_local.repo
-rw-r--r--  1 root root   92 oct 13 23:05 HDP-2.5.0.0-1245.repo.repo
-rw-r--r--  1 root root  135 oct 13 23:05 HDP-UTILS.repo
drwxr-xr--. 2 root root 4096 oct 13 23:54 backup
8 REPLIES 8

Re: MARIDB & MYSQL & HDP2.5

Hi @Roberto Sancho are you using an internal satellite server or does the server have access to the Internet? Our repo points to the external mysql-community libs to download. You may need to pre-install the correct version of mysql.

Re: MARIDB & MYSQL & HDP2.5

Super Collaborator

My mysql version is 5.7 and i have created the ambari, hive and oozie schema correctly, but he history server need mariadb.

Which service need MARIADB??

Re: MARIDB & MYSQL & HDP2.5

Super Collaborator

hi:

I have update some rpm, and now i have this error:

resource_management.core.exceptions.Fail: Execution of '/usr/bin/yum -d 0 -e 0 -y install hadoop_2_5_0_0_1245-yarn' returned 1. Error: Package: hadoop_2_5_0_0_1245-2.7.3.2.5.0.0-1245.el6.x86_64 (HDP-2.5)
           Requires: redhat-lsb
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Why not all the packets are in the repo???

Re: MARIDB & MYSQL & HDP2.5

Mentor

@Roberto Sancho

What are the contents of your /etc/yum.repos.d/* you should be having ambari.repo,hdp.repo etc where does the baseurl point to ?

Re: MARIDB & MYSQL & HDP2.5

Super Collaborator

Y have a local repo with the tarball, and the mysql i have is from mysql comunity.

The problem is the history server need mariadb, i dont know why

Re: MARIDB & MYSQL & HDP2.5

Super Collaborator

This is my repo:



ls -lrt /etc/yum.repos.d/
-rw-r--r--  1 root root  409 oct 13 23:01 ambari_local.repo
-rw-r--r--  1 root root   92 oct 13 23:05 HDP.repo
-rw-r--r--  1 root root  135 oct 13 23:05 HDP-UTILS.repo
drwxr-xr--. 2 root root 4096 oct 13 23:54 backup

Re: MARIDB & MYSQL & HDP2.5

Super Collaborator

Finally after install the redhat-lsb and all the dependencies via YUM INSTALL its working all the services.

But what happend If I dont have Connection Internet??

thanks

Highlighted

Re: MARIDB & MYSQL & HDP2.5

Super Collaborator

Hi:

After rename the repo files like its works now:

ls -lrt /etc/yum.repos.d/
-rw-r--r--  1 root root  409 oct 13 23:01 ambari_local.repo
-rw-r--r--  1 root root   92 oct 13 23:05 HDP-2.5.0.0-1245.repo.repo
-rw-r--r--  1 root root  135 oct 13 23:05 HDP-UTILS.repo
drwxr-xr--. 2 root root 4096 oct 13 23:54 backup